import graphique.*;


import java.awt.*;
import java.awt.event.*;


import javax.swing.*;

import java.io.*;


import parcInfo.*;


@SuppressWarnings("serial")


public class AppliGUI extends JFrame {
	
	static Parc parcTest=new Parc("parcTest");
	private JMenu Calculs;
	private JMenu Etat;
	private JMenu File;
	private JMenu Listes;
	private JMenuItem afficherComposDefectOrdi;
	private JMenuItem afficherConfigOrdi;
	private JMenuItem charger;
	private JMenuItem coutRemplacementOrdi;
	private JMenuItem exit;
	private JInternalFrame InternalFrameAccueil;
	private JMenuItem listerAllDefectuous;
	private JMenuItem listerAllEquipement;
	private JMenuItem modifierEtatComposant;
	private JMenuItem modifierEtatEquipement;
	private JMenuBar myMenuBar;
	
	private JMenuItem save;
	private JSeparator separateur;
	private JSeparator separateur1;
	
	private JDesktopPane desktopPane;
	private JFileChooser fileChooser;
	
	
	public AppliGUI() {
		initComponents();
	}
	
	
	
	private void initComponents() {
		InternalFrameAccueil = new JInternalFrame();
		myMenuBar = new JMenuBar();
		File = new JMenu();
		charger = new JMenuItem();
		save = new JMenuItem();
		separateur = new JSeparator();
		exit = new JMenuItem();
		Listes = new JMenu();
		listerAllEquipement = new JMenuItem();
		listerAllDefectuous = new JMenuItem();
		separateur1 = new JSeparator();
		afficherConfigOrdi = new JMenuItem();
		afficherComposDefectOrdi = new JMenuItem();
		Etat = new JMenu();
		modifierEtatEquipement = new JMenuItem();
		modifierEtatComposant = new JMenuItem();
		Calculs = new JMenu();
		coutRemplacementOrdi = new JMenuItem();
		
		
		setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
		
		
		desktopPane = new JDesktopPane();
		desktopPane.setBackground(Color.gray);
		JPanel contentPane = (JPanel)this.getContentPane();
		contentPane.add(desktopPane, BorderLayout.CENTER);
		
		InternalFrameAccueil.setVisible(true);
		
		
		File.setText("Fichier");
		charger.setText("Charger");
		charger.addActionListener(new java.awt.event.ActionListener(){
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				
				
				JInternalFrame tabJFrame[]=desktopPane.getAllFrames();
				for(int i=0;i<tabJFrame.length;i++)
				{
					tabJFrame[i].dispose();
				}
				
				
				
				fileChooser=new JFileChooser();
				FiltreSimple javaSer = new FiltreSimple("Fichiers serialise *.ser",".ser");
				try{
					fileChooser.addChoosableFileFilter(javaSer);
					int val = fileChooser.showOpenDialog(null);
					
					
					if (val == JFileChooser.APPROVE_OPTION)
					{
						File file = fileChooser.getSelectedFile();
						JOptionPane.showMessageDialog(null, "fichier a ouvrir " + file);
						try{
							
							ObjectInputStream in = new ObjectInputStream(new FileInputStream("sauvegarde.ser")); 
							parcTest=(Parc)in.readObject();
							
							
							
							
							
						}
						catch(FileNotFoundException ex){
							JOptionPane.showMessageDialog(null,"Fichier inexistant","Erreur",JOptionPane.ERROR_MESSAGE);
						}
						catch(IOException ex2)
						{
							JOptionPane.showMessageDialog(null,"Erreur Entree Sortie","Erreur",JOptionPane.ERROR_MESSAGE);
						}	
						catch(ClassNotFoundException ex3)
						{
							JOptionPane.showMessageDialog(null,"Serialisation Impossible, Classe non trouvee","Erreur",JOptionPane.ERROR_MESSAGE);
						}
					}
				}
				catch (NullPointerException ex4) {};
			}});
		
		
		
		File.add(charger);
		
		
		save.setText("Sauvegarder");
		save.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				JOptionPane.showMessageDialog(null, "Parc sauvegarde (sauvegarde.ser)");
				try{
					ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream("sauvegarde.ser")); 
					out.writeObject(parcTest);
					out.close();
					JOptionPane.showMessageDialog(null,"Le parc a bien ete sauvegarde. Vous pouvez quitter l'application");	    
				}
				catch(IOException ex)
				{
					JOptionPane.showMessageDialog(null,"Erreur Entree Sortie","Erreur",JOptionPane.ERROR_MESSAGE);
					
				}
				
			}
		});
		File.add(save);
		
		File.add(separateur);
		
		exit.setText("Quitter");
		exit.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				System.exit(0);
			}
		});
		File.add(exit);
		
		myMenuBar.add(File);
		
		
		
		
		Listes.setText("Listes");
		listerAllEquipement.setText("Lister tous les equipements");
		listerAllEquipement.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				listerAllEquipementActionPerformed(evt);
			}
		});
		Listes.add(listerAllEquipement);
		
		
		listerAllDefectuous.setText("Lister Tous les equipements defectueux");
		listerAllDefectuous.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				listerAllDefectuousActionPerformed(evt);
			}
		});
		Listes.add(listerAllDefectuous);
		
		Listes.add(separateur1);
		
		
		
		afficherConfigOrdi.setText("Afficher la configuration d'un ordinateur");
		afficherConfigOrdi.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				afficherConfigOrdiActionPerformed(evt);
			}
		});
		
		Listes.add(afficherConfigOrdi);
		
		afficherComposDefectOrdi.setText("Afficher les Composants defectueux d'un ordinateur");
		afficherComposDefectOrdi.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				afficherComposDefectOrdiActionPerformed(evt);
			}
		});
		
		Listes.add(afficherComposDefectOrdi);
		
		myMenuBar.add(Listes);
		
		
		Etat.setText("Etat");
		modifierEtatEquipement.setText("Modifier l'etat d'un equipement");
		modifierEtatEquipement.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				modifierEtatEquipementActionPerformed(evt);
			}
		});
		Etat.add(modifierEtatEquipement);
		
		modifierEtatComposant.setText("Modifier l'etat d'un Composant");
		modifierEtatComposant.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				modifierEtatComposantActionPerformed(evt);
			}
		});
		Etat.add(modifierEtatComposant);
		
		myMenuBar.add(Etat);
		
		
		Calculs.setText("Calculs");
		coutRemplacementOrdi.setText("Cout de remplacement d'un ordinateur");
		coutRemplacementOrdi.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				coutRemplacementOrdiActionPerformed(evt);
			}
		});
		Calculs.add(coutRemplacementOrdi);
		
		
		myMenuBar.add(Calculs);
		
		setJMenuBar(myMenuBar);
		
		
		
		
		
		pack();
	}
	
	
	
	private void listerAllEquipementActionPerformed(ActionEvent evt) {
		afficherFenetreInterne("Liste des Equipements du parc",new PanelListerEquipements(parcTest));
	}
	
	
	private void listerAllDefectuousActionPerformed(ActionEvent evt) {
		afficherFenetreInterne("Liste des Equipements Defectueux du parc",new PanelListerEquipementsDefectueux(parcTest));
		
	}
	
	private void afficherConfigOrdiActionPerformed(ActionEvent evt) {
		afficherFenetreInterne("Configuration d'un ordinateur",new PanelConfigOrdi(parcTest));
	}
	
	
	private void afficherComposDefectOrdiActionPerformed(ActionEvent evt) {
		afficherFenetreInterne("Composants defectueux d'un ordinateur",new PanelConfigOrdiDefectueux(parcTest));
	}
	
	private void modifierEtatEquipementActionPerformed(ActionEvent evt) {
		afficherFenetreInterne("Modifier l'etat d'un equipement",new PanelChangeEtatEquipement(parcTest));
	}
	
	private void modifierEtatComposantActionPerformed(ActionEvent evt) {
		afficherFenetreInterne("Modifier l'etat d'un composant",new PanelChangeEtatComposant(parcTest));
	}
	
	
	
	private void coutRemplacementOrdiActionPerformed(ActionEvent evt) {
		afficherFenetreInterne("Meilleur cout de remplacement d'un ordinateur",new PanelMeilleurCoutOrdi(parcTest));
	}
	
	private void afficherFenetreInterne(String titreFenetre,JPanel panel){
		JInternalFrame tabJFrame[]=desktopPane.getAllFrames();
		for(int i=0;i<tabJFrame.length;i++)
		{
			tabJFrame[i].dispose();
		}
		JInternalFrame f2 = new JInternalFrame(titreFenetre,false,false,false);
		f2.setContentPane(panel);
		f2.setSize(desktopPane.getSize());
		
		f2.setVisible(true);
		
		
		desktopPane.add( f2 );
		
	}
	
	
	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		
		
		
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				AppliGUI test=new AppliGUI();
				
				Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
				
				test.setTitle("Application Graphique Gestion d'un Parc Informatique");
				test.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				
				
				test.setSize(800, 600);
				test.setLocation((screenSize.width - test.getWidth()) / 2, ((screenSize.height - test.getHeight()) / 2));
				test.setVisible(true);
				
				
			}
		});
	}
	
	
}
