import parcInfo.*;
import java.io.*;
import fournisseurs.*;

public class ConstruireParc{
	
	public static void main(String []args){
		
		
		
		
		Ordinateur o;
		UC uc;
		Clavier clavier;
		Ecran ecran;
		CarteReseau carteReseau;
		CarteSon carteSon;
		CarteVideo carteVideo;
		DisqueDur disqueDur;
		Graveur graveur;
		Souris souris;
		Imprimante i;
		Lecteur lecteur;
		
		
		Fournisseur f;
		Catalogue cat;
		OrdinateurCat oCat;
		UcCat ucCat;
		ClavierCat clavierCat;
		EcranCat ecranCat;
		CarteReseauCat carteReseauCat;
		CarteSonCat carteSonCat;
		CarteVideoCat carteVideoCat;
		DisqueDurCat disqueDurCat;
		GraveurCat graveurCat;
		SourisCat sourisCat;
		ImprimantesCat iCat;
		LecteurCat lecteurCat;
		
		
		
		Parc p=new Parc("parcTest2");
		
		
		o=new Ordinateur("machine01", "compaq", "Presario4540", false);
		uc=new UC("machine01_uc1", "amd", "k7", (float)0.233);
		o.addComposant(uc);
		clavier=new Clavier("machine01_clavier1", "compaq", "pc101", 101, false);
		o.addComposant(clavier);
		ecran=new Ecran("machine01_ecran1", "compaq", "mv540",15,false);
		o.addComposant(ecran);
		carteReseau=new CarteReseau("machine01_net1", "3com", "ehterlink3",false);
		o.addComposant(carteReseau);
		carteSon=new CarteSon("machine01_son1", "ac97", "ess1898",false);
		o.addComposant(carteSon);
		carteVideo=new CarteVideo("machine01_video1", "s3", "trio32",2);
		o.addComposant(carteVideo);
		disqueDur=new DisqueDur("machine01_hdd1", "maxtor", "2go 7200 tours/min",7200,false,2);
		o.addComposant(disqueDur);
		graveur=new Graveur("machine01_graveur1","mhilips","cdd3610",6,false, 2,false,false);
		o.addComposant(graveur); 
		souris=new Souris("machine01_souris1","microsoft","intellimouse",false,true);	
		o.addComposant(souris);
		p.addEquipement(o);
		
		
		
		o=new Ordinateur("machine02", "fujitsu", "amilo",true);
		uc=new UC("machine02_uc1", "amd", "athlon_xp_2800+",(float)1.45);
		o.addComposant(uc);
		clavier=new Clavier("machine02_clavier1", "fujitsu", "pc104", 104, false);
		o.addComposant(clavier);
		ecran=new Ecran("machine02_ecran1", "fujitsu", "tft",(float)15.1,true);
		o.addComposant(ecran);
		carteReseau=new CarteReseau("machine02_net1", "netgear", "usbnetgear",true);
		o.addComposant(carteReseau);
		carteSon=new CarteSon("machine02_son1", "ac97", "ess1898",false);
		o.addComposant(carteSon);
		carteVideo=new CarteVideo("machine02_video1", "ati", "radeon",128);
		o.addComposant(carteVideo);
		disqueDur=new DisqueDur("machine02_hdd1", "maxtor", "40go 7200 tours/min",7200,false,(float)40);
		o.addComposant(disqueDur);
		graveur=new Graveur("machine02_graveur1","philips","dvdr",40,false, 32,true,false);
		o.addComposant(graveur); 
		souris=new Souris("machine02_souris1","dexia","2 boutton",false,false);	
		o.addComposant(souris);
		
		p.addEquipement(o);
		
		
		
		
		o=new Ordinateur("machine03", "micromonte", "enerMax",false);
		uc=new UC("machine03_uc1", "amd", "athlon_64_3200",(float)1.99);
		o.addComposant(uc);
		clavier=new Clavier("machine03_clavier1", "compaq", "pc104", 104, false);
		o.addComposant(clavier);
		ecran=new Ecran("machine03_ecran1", "compaq", "mv500",(float)15,false);
		o.addComposant(ecran);
		carteReseau=new CarteReseau("machine03_net1", "via", "Usb_10_100_fastethernet",true);
		o.addComposant(carteReseau);
		carteSon=new CarteSon("machine03_son1", "ac97", "codec2_3",false);
		o.addComposant(carteSon);
		carteVideo=new CarteVideo("machine03_video1", "s3", "unichrome3D",64);
		o.addComposant(carteVideo);
		disqueDur=new DisqueDur("machine03_hdd1", "maxtor", "80go 7200 tours/min",7200,false,80);
		o.addComposant(disqueDur);
		graveur=new Graveur("machine03_graveur1","pioneer","dvr110-d",(float)40,false,(float)32,true,true);
		o.addComposant(graveur); 
		souris=new Souris("machine03_souris1","microsoft","3 bouttons molette",true,true);	
		o.addComposant(souris);
		p.addEquipement(o);
		
		
		
		
		
		
		
		o=new Ordinateur("machine04", "MicroMonte", "133",false);
		uc=new UC("machine04_uc1", "Intel", "Pentium_133",(float)0.133);
		o.addComposant(uc);
		clavier=new Clavier("machine04_clavier1", "acer", "PC101", 101, false);
		o.addComposant(clavier);
		ecran=new Ecran("machine04_ecran1", "Philips","14C",(float)14,false);
		o.addComposant(ecran);
		carteVideo=new CarteVideo("machine04_video1", "Sis", "SIS6920",2);
		o.addComposant(carteVideo);
		disqueDur=new DisqueDur("machine04_hdd1", "Caviar", "850Mo 7200 tours/min",7200,false,(float)0.850);
		o.addComposant(disqueDur);
		lecteur=new Lecteur("machine04_Lecteur1","philips","Cd24",24,false,false);
		o.addComposant(lecteur); 
		souris=new Souris("machine04_Souris1","Microsoft","3 bouttons",false,false);	
		o.addComposant(souris);
		p.addEquipement(o);
		
		
		o=new Ordinateur("machine05", "MicroMonte", "133",false);
		uc=new UC("machine05_uc1", "Intel", "Pentium_133",(float)0.133);
		o.addComposant(uc);
		clavier=new Clavier("Machine05_clavier1", "acer", "PC101", 101, false);
		o.addComposant(clavier);
		ecran=new Ecran("Machine05_ecran1", "Philips","14C",(float)14,false);
		o.addComposant(ecran);
		carteVideo=new CarteVideo("Machine05_video1", "Sis", "SIS6920",2);
		o.addComposant(carteVideo);
		disqueDur=new DisqueDur("Machine05_hdd1", "Caviar", "540Mo 7200 tours/min",7200,false,(float)0.540);
		o.addComposant(disqueDur);
		lecteur=new Lecteur("Machine05_Lecteur1","philips","Cd8",8,false,false);
		o.addComposant(lecteur); 
		souris=new Souris("Machine05_Souris1","Microsoft","3 bouttons",false,false);	
		o.addComposant(souris);
		p.addEquipement(o);
		
		
		o=new Ordinateur("machine06", "Toshiba", "300",true);
		uc=new UC("Machine06_uc1", "Intel", "Pentium_300",(float)0.300);
		o.addComposant(uc);
		clavier=new Clavier("Machine06_clavier1", "toshiba", "PC101", 101, false);
		o.addComposant(clavier);
		ecran=new Ecran("Machine06_ecran1", "Toshiba","14",(float)14,false);
		o.addComposant(ecran);
		carteVideo=new CarteVideo("Machine06_video1", "Neomagic", "AtiNeomagic",4);
		o.addComposant(carteVideo);
		disqueDur=new DisqueDur("Machine06_hdd1", "maxtor", "10Go 7200 tours/min",7200,false,(float)10);
		o.addComposant(disqueDur);
		disqueDur=new DisqueDur("Machine06_hdd2", "maxtor", "40Go 7200 tours/min",7200,true,(float)40);
		o.addComposant(disqueDur);
		lecteur=new Lecteur("Machine06_Lecteur1","TEAC","Cd24",24,false,false);
		o.addComposant(lecteur); 
		souris=new Souris("Machine06_Souris1","Toshiba","panel",false,false);	
		o.addComposant(souris);
		p.addEquipement(o);
		
		
		o=new Ordinateur("machine07", "Toshiba", "133",true);
		uc=new UC("Machine07_uc1", "Intel", "Pentium_133",(float)0.133);
		o.addComposant(uc);
		clavier=new Clavier("Machine07_clavier1", "toshiba", "PC101", 101, false);
		o.addComposant(clavier);
		ecran=new Ecran("Machine07_ecran1", "Toshiba","13",(float)13,true);
		o.addComposant(ecran);
		carteVideo=new CarteVideo("Machine07_video1", "Neomagic", "AtiNeomagic",2);
		o.addComposant(carteVideo);
		disqueDur=new DisqueDur("Machine07_hdd1", "maxtor", "1.6Go 5400 tours/min",5400,false,(float)1.6);
		o.addComposant(disqueDur);
		lecteur=new Lecteur("Machine07_Lecteur1","Freecom","Cd8",8,true,false);
		o.addComposant(lecteur); 
		souris=new Souris("Machine07_Souris1","Toshiba","panel",false,false);	
		o.addComposant(souris);
		p.addEquipement(o);
		
		
		
		
		i=new Imprimante("HP_01", "Hewlett_Packard", "880c", true, true);
		p.addEquipement(i);	
		i=new Imprimante("HP_02", "Hewlett_Packard", "690c", false, false);
		p.addEquipement(i);	
		i=new Imprimante("HP_03", "Hewlett_Packard", "LaserJet_4L", false, true);
		p.addEquipement(i);	
		i=new Imprimante("Epson_01", "Epson", "LQ200", false, true);
		p.addEquipement(i);	
		i=new Imprimante("Epson_02", "Epson", "LX300", false, false);
		p.addEquipement(i);	
		
		
		
		
		// Ajout de catalogues fournisseur
		
		f=new Fournisseur("MicroConceptV2");
		cat=new Catalogue("Promotion_Noel");
		
		iCat=new ImprimantesCat("Epson",(float)29.99,"Epson_01", "LX300", false, false);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)39.99,"Epson_02", "LQ300", false, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)49.99,"Epson_03", "LQ400", false, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)59.99,"Epson_04", "LQ500", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)99.99,"Epson_05", "LQ2000", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)79.99,"Epson_06", "LX1000", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)99.99,"Hewlett_Packard_01", "880c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)39.99,"Hewlett_Packard_02", "670c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)49.99,"Hewlett_Packard_03", "675c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)29.99,"Hewlett_Packard_04", "610c", true, false);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)69.99,"Hewlett_Packard_05", "720c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)379.99,"Hewlett_Packard_06", "1110c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)99.99,"Hewlett_Packard_07", "890c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)59.99,"Hewlett_Packard_08", "615c", true, true);
		cat.addProduit(iCat);
		
		//CarteReseauCat(String marque, float prix, String reference, String type, boolean venduAuDetail, externe);
		carteReseauCat=new CarteReseauCat("3Com",(float)5.99,"Etherlink_01","3c509b",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("3Com",(float)6.99,"Etherlink_02","3c900b",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("3Com",(float)7.99,"Etherlink_03","3c905c",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("3Com",(float)8.99,"Etherlink_04","3c900b",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("Netgear",(float)4.99,"FastEthernet_01","10/100",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("Netgear",(float)10.99,"FastEthernet_02","Usb6Mb",true,true);
		cat.addProduit(carteReseauCat);
		
		//CarteSonCat(String marque, float prix, String reference, String type, boolean venduAuDetail, boolean estExterne)
		carteSonCat=new CarteSonCat("SoundBlaster",(float)39.99,"SB_01","Vibra128c",true,false);
		cat.addProduit(carteSonCat);
		carteSonCat=new CarteSonCat("SoundBlaster",(float)59.99,"SB_02","Audigy_Usb_card",true,true);
		cat.addProduit(carteSonCat);
		carteSonCat=new CarteSonCat("SoundBlaster",(float)19.99,"SB_03","Vibra16c_ISACard",true,false);
		cat.addProduit(carteSonCat);
		carteSonCat=new CarteSonCat("Via",(float)29.99,"Via_01","internalCard",true,false);
		cat.addProduit(carteSonCat);
		
		//CarteVideoCat(String marque, float prix, String reference, String type, boolean venduAuDetail, int tailleMemoire)
		carteVideoCat=new CarteVideoCat("Via",(float)19.99,"ViaVideo_01","internalCard",true,64);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)49.99,"Nvidia_01","Geforce2Mx400",true,64);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)59.99,"Nvidia_02","Geforce3",true,128);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)69.99,"Nvidia_03","Geforce4Mx450",true,128);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)99.99,"Nvidia_04","Geforce4Ti",true,256);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)249.99,"Nvidia_05","Geforce660",true,64);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)359.99,"Nvidia_06","Geforce2Mx400",true,64);
		cat.addProduit(carteVideoCat);
		
		//ClavierCat(String marque, float prix, String reference, String type, boolean venduAuDetail, int nombreDeTouches, boolean estSansFil)
		clavierCat=new ClavierCat("compaq",(float)5.25,"clavier_01","PC101",true,101,false);
		cat.addProduit(clavierCat);
		clavierCat=new ClavierCat("compaq",(float)8.25,"clavier_02","PC101",true,101,false);
		cat.addProduit(clavierCat);
		clavierCat=new ClavierCat("compaq",(float)9.25,"clavier_03","PC104",true,104,false);
		cat.addProduit(clavierCat);
		clavierCat=new ClavierCat("compaq",(float)15.25,"clavier_04","PC108",true,108,true);
		cat.addProduit(clavierCat);
		clavierCat=new ClavierCat("compaq",(float)19.25,"clavier_05","PC105",true,105,true);
		cat.addProduit(clavierCat);
		
		//DisqueDurCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float vitesse, boolean estExterne, float capacite)
		disqueDurCat=new DisqueDurCat("Maxtor", (float)39.99, "hdd_01", "Maxtor40", true, 7200,false, 40);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)64, "hdd_02", "Maxtor60", true, 7200,false, 60);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)65, "hdd_03", "Maxtor80", true, 7200,false, 80);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)80, "hdd_04", "Maxtor40_externe", true, 7200,true, 40);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)129.99, "hdd_05", "Maxtor160", true, 7200,false, 160);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)139.99, "hdd_06", "Maxtor160_8Mo_cache", true, 7200,false, 160);
		cat.addProduit(disqueDurCat);
		
		//UcCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float frequenceProcesseur)
		ucCat=new UcCat("intel",(float)69,"uc_1","celeron",true,(float)1.40);
		cat.addProduit(ucCat);
		ucCat=new UcCat("intel",(float)79,"uc_2","celeron",true,(float)1.45);
		cat.addProduit(ucCat);
		ucCat=new UcCat("intel",(float)89,"uc_3","celeron",true,(float)1.66);
		cat.addProduit(ucCat);
		ucCat=new UcCat("AMD",(float)239,"uc_4","ATHLON_64_3200",true,(float)1.99);
		cat.addProduit(ucCat);
		ucCat=new UcCat("AMD",(float)269,"uc_5","ATHLON_64_3500",true,(float)2.20);
		cat.addProduit(ucCat);
		ucCat=new UcCat("AMD",(float)119,"uc_6","ATHLON_XP_1600+",true,(float)1.40);
		cat.addProduit(ucCat);
		ucCat=new UcCat("AMD",(float)189,"uc_7","ATHLON_XP_2800+_mobile",true,(float)1.45);
		cat.addProduit(ucCat);
		
		
		//EcranCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float taille, boolean estPlat)
		ecranCat=new EcranCat("compaq",(float)119,"ecran_1","MV500",true,15,false);
		cat.addProduit(ecranCat);
		ecranCat=new EcranCat("compaq",(float)79,"ecran_2","MV400",true,14,false);
		cat.addProduit(ecranCat);
		ecranCat=new EcranCat("compaq",(float)219,"ecran_3","XM900",true,19,true);
		cat.addProduit(ecranCat);
		ecranCat=new EcranCat("compaq",(float)39,"ecran_4","13p",true,13,false);
		cat.addProduit(ecranCat);
		ecranCat=new EcranCat("Toshiba",(float)115,"ecran_5","toshiba",true,15,false);
		cat.addProduit(ecranCat);
		
		//SourisCat(String marque, float prix, String reference, String type, boolean venduAuDetail, boolean estSansFil, boolean avecMolette)
		sourisCat=new SourisCat("Microsoft", (float)5, "souris_1", "generique", true, false, true);
		cat.addProduit(sourisCat);
		sourisCat=new SourisCat("Microsoft", (float)15, "souris_2", "generique_sans_fil", true, true, true);
		cat.addProduit(sourisCat);
		sourisCat=new SourisCat("Microsoft", (float)2, "souris_3", "generique", true, false, false);
		cat.addProduit(sourisCat);
		sourisCat=new SourisCat("logitech", (float)19, "souris_4", "generique", true, true, true);
		cat.addProduit(sourisCat);
		
		//GraveurCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float vitesse, boolean estExterne, float vitesseEcriture, boolean estDVD, boolean estDVD9) {
		graveurCat=new GraveurCat("Pioneer", (float)59.99, "graveur_1", "GraveurDVD+9", true, (float)40, false, (float)40, true, true);
		cat.addProduit(graveurCat);
		graveurCat=new GraveurCat("Traxdata", (float)29.99, "graveur_2", "GraveurCD", true, (float)40, false, (float)32, false, false);
		cat.addProduit(graveurCat);
		graveurCat=new GraveurCat("LiteOn", (float)49.99, "graveur_3", "GraveurCD_DVD", true, (float)40, false, (float)24, true, false);
		cat.addProduit(graveurCat);
		graveurCat=new GraveurCat("LiteOn", (float)89.99, "graveur_4", "GraveurCD_DVD_externe", true, (float)52, false, (float)52, true, true);
		cat.addProduit(graveurCat);
		
		
		//LecteurCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float vitesse, boolean estExterne, boolean estDVD)	
		lecteurCat=new LecteurCat("LiteOn", (float)24.99, "lecteur1", "lecteurCD_DVD_externe", true, (float)52, true, true);
		cat.addProduit(lecteurCat);
		lecteurCat=new LecteurCat("LiteOn", (float)14.99, "lecteur1", "lecteurCD_DVD", true, (float)52, false, true);
		cat.addProduit(lecteurCat);
		lecteurCat=new LecteurCat("TraxData", (float)19.99, "lecteur1", "lecteurCD", true, (float)52, false, false);
		cat.addProduit(lecteurCat);
		lecteurCat=new LecteurCat("LiteOn", (float)24.99, "lecteur2", "lecteurCD_externe", true, (float)52, true, false);
		cat.addProduit(lecteurCat);

		
		
		
		//OrdinateurCat(String marque, float prix, String reference, String type, boolean estPortable)
		oCat=new OrdinateurCat("HP", 0, "ConfigExtremeGamer", "HP_Pavillon",false);
		carteVideoCat=new CarteVideoCat("NVidia",(float)19.99,"ExtremeGamer_video","Geforce6000",false,128);
		cat.addProduit(carteVideoCat);
		ucCat=new UcCat("AMD",(float)180,"ExtremeGamer_uc","ATHLON_64_3500",true,(float)2.20);
		oCat.addComposant(ucCat);
		graveurCat=new GraveurCat("Pioneer", (float)39.99, "ExtremeGamer_graveur", "GraveurDVD+9", false, (float)52, false, (float)52, true, true);
		oCat.addComposant(graveurCat);
		sourisCat=new SourisCat("logitech", (float)15, "ExtremeGamer_souris", "generique", false, true, true);
		oCat.addComposant(sourisCat);
		clavierCat=new ClavierCat("compaq",(float)15.25,"ExtremeGamer","PC108",true,108,true);
		oCat.addComposant(clavierCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)80.99, "ExtremeGamer_hdd", "Maxtor160_8Mo_cache", false, 7200,false, 160);	
		oCat.addComposant(disqueDurCat);
		carteSonCat=new CarteSonCat("SoundBlaster",(float)9.99,"ExtremeGamer_sb","Vibra128c",false,false);
		oCat.addComposant(carteSonCat);
		ecranCat=new EcranCat("compaq",(float)29,"ExtremeGamer_ecran","MV500",false,19,false);
		oCat.addComposant(ecranCat);
		carteReseauCat=new CarteReseauCat("3Com",(float)5.99,"Etherlink_01","3c509b",false,false);
		oCat.addComposant(carteReseauCat);
		oCat.setPrix(oCat.calculPrixOrdinateur());
		cat.addProduit(oCat);
		
		
		
		
		
		
		oCat=new OrdinateurCat("Compaq", 0, "ConfigVoyager", "Presario",false);
		graveurCat=new GraveurCat("Pioneer", (float)55.99, "ConfigVoyager_graveur", "GraveurDVD+9", false, (float)40, false, (float)40, true, true);
		oCat.addComposant(graveurCat);
		sourisCat=new SourisCat("Microsoft", (float)14, "ConfigVoyager_souris", "generique_sans_fil", false, true, true);
		oCat.addComposant(sourisCat);
		clavierCat=new ClavierCat("compaq",(float)4.25,"ConfigVoyager_clavier","PC101",false,101,false);
		oCat.addComposant(clavierCat);
		ecranCat=new EcranCat("Toshiba",(float)112,"ConfigVoyager_ecran","toshiba",false,15,false);
		oCat.addComposant(ecranCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)64, "ConfigVoyager_hdd", "Maxtor80", false, 7200,false, 80);
		oCat.addComposant(disqueDurCat);
		carteReseauCat=new CarteReseauCat("Netgear",(float)8.99,"ConfigVoyager_FastEthernet","Usb6Mb",false,true);
		oCat.addComposant(carteReseauCat);
		carteSonCat=new CarteSonCat("SoundBlaster",(float)9.99,"ConfigVoyager_SB","Vibra16c_ISACard",false,false);
		oCat.addComposant(carteSonCat);
		ucCat=new UcCat("AMD",(float)219,"uc_4","ConfigVoyager_ATHLON_64_3200",false,(float)1.99);
		oCat.addComposant(ucCat);
		carteVideoCat=new CarteVideoCat("Via",(float)15.99,"ConfigVoyager_ViaVideo","internalCard",false,64);
		oCat.addComposant(carteVideoCat);
		oCat.setPrix(oCat.calculPrixOrdinateur());
		cat.addProduit(oCat);
		f.addCatalogue(cat);
		p.addFournisseur(f);
		
		
		
		
		
		
		
		
		
		
		
		
		f=new Fournisseur("spot");
		cat=new Catalogue("janvier");
		
		
		
		
		
		
		iCat=new ImprimantesCat("Epson",(float)30.99,"Epson_01", "LX300", false, false);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)40.99,"Epson_02", "LQ300", false, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)39.99,"Epson_03", "LQ400", false, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)99.99,"Epson_04", "LQ500", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)96.99,"Epson_05", "LQ2000", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("Epson",(float)74.99,"Epson_06", "LX1000", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)97.99,"Hewlett_Packard_01", "880c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)29.99,"Hewlett_Packard_02", "670c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)59.99,"Hewlett_Packard_03", "675c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)69.99,"Hewlett_Packard_04", "610c", true, false);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)64.99,"Hewlett_Packard_05", "720c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)378.99,"Hewlett_Packard_06", "1110c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)109.99,"Hewlett_Packard_07", "890c", true, true);
		cat.addProduit(iCat);
		iCat=new ImprimantesCat("HP", (float)49.99,"Hewlett_Packard_08", "615c", true, true);
		cat.addProduit(iCat);
		
		//CarteReseauCat(String marque, float prix, String reference, String type, boolean venduAuDetail, externe);
		carteReseauCat=new CarteReseauCat("3Com",(float)4.99,"Etherlink_01","3c509b",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("3Com",(float)5.99,"Etherlink_02","3c900b",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("3Com",(float)9.99,"Etherlink_03","3c905c",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("3Com",(float)8.99,"Etherlink_04","3c900b",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("Netgear",(float)14.99,"FastEthernet_01","10/100",true,false);
		cat.addProduit(carteReseauCat);
		carteReseauCat=new CarteReseauCat("Netgear",(float)9.99,"FastEthernet_02","Usb6Mb",true,true);
		cat.addProduit(carteReseauCat);
		
		//CarteSonCat(String marque, float prix, String reference, String type, boolean venduAuDetail, boolean estExterne)
		carteSonCat=new CarteSonCat("SoundBlaster",(float)79.99,"SB_01","Vibra128c",true,false);
		cat.addProduit(carteSonCat);
		carteSonCat=new CarteSonCat("SoundBlaster",(float)69.99,"SB_02","Audigy_Usb_card",true,true);
		cat.addProduit(carteSonCat);
		carteSonCat=new CarteSonCat("SoundBlaster",(float)29.99,"SB_03","Vibra16c_ISACard",true,false);
		cat.addProduit(carteSonCat);
		carteSonCat=new CarteSonCat("Via",(float)19.99,"Via_01","internalCard",true,false);
		cat.addProduit(carteSonCat);
		
		//CarteVideoCat(String marque, float prix, String reference, String type, boolean venduAuDetail, int tailleMemoire)
		carteVideoCat=new CarteVideoCat("Via",(float)19.99,"ViaVideo_01","internalCard",true,64);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)39.99,"Nvidia_01","Geforce2Mx400",true,64);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)58.99,"Nvidia_02","Geforce3",true,128);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)79.99,"Nvidia_03","Geforce4Mx450",true,128);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)89.99,"Nvidia_04","Geforce4Ti",true,256);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)239.99,"Nvidia_05","Geforce660",true,64);
		cat.addProduit(carteVideoCat);
		carteVideoCat=new CarteVideoCat("NVidia",(float)369.99,"Nvidia_06","Geforce2Mx400",true,64);
		cat.addProduit(carteVideoCat);
		
		//ClavierCat(String marque, float prix, String reference, String type, boolean venduAuDetail, int nombreDeTouches, boolean estSansFil)
		clavierCat=new ClavierCat("compaq",(float)4.25,"clavier_01","PC101",true,101,false);
		cat.addProduit(clavierCat);
		clavierCat=new ClavierCat("compaq",(float)6.25,"clavier_02","PC101",true,101,false);
		cat.addProduit(clavierCat);
		clavierCat=new ClavierCat("compaq",(float)10.25,"clavier_03","PC104",true,104,false);
		cat.addProduit(clavierCat);
		clavierCat=new ClavierCat("compaq",(float)12.25,"clavier_04","PC108",true,108,true);
		cat.addProduit(clavierCat);
		clavierCat=new ClavierCat("compaq",(float)15.25,"clavier_05","PC105",true,105,true);
		cat.addProduit(clavierCat);
		
		//DisqueDurCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float vitesse, boolean estExterne, float capacite)
		disqueDurCat=new DisqueDurCat("Maxtor", (float)39.99, "hdd_01", "Maxtor40", true, 7200,false, 40);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)65, "hdd_02", "Maxtor60", true, 7200,false, 60);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)95, "hdd_03", "Maxtor80", true, 7200,false, 80);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)75, "hdd_04", "Maxtor40_externe", true, 7200,true, 40);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)159.99, "hdd_05", "Maxtor160", true, 7200,false, 160);
		cat.addProduit(disqueDurCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)129.99, "hdd_06", "Maxtor160_8Mo_cache", true, 7200,false, 160);
		cat.addProduit(disqueDurCat);
		
		//UcCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float frequenceProcesseur)
		ucCat=new UcCat("intel",(float)49,"uc_1","celeron",true,(float)1.40);
		cat.addProduit(ucCat);
		ucCat=new UcCat("intel",(float)59,"uc_2","celeron",true,(float)1.45);
		cat.addProduit(ucCat);
		ucCat=new UcCat("intel",(float)189,"uc_3","celeron",true,(float)1.66);
		cat.addProduit(ucCat);
		ucCat=new UcCat("AMD",(float)199,"uc_4","ATHLON_64_3200",true,(float)1.99);
		cat.addProduit(ucCat);
		ucCat=new UcCat("AMD",(float)289,"uc_5","ATHLON_64_3500",true,(float)2.20);
		cat.addProduit(ucCat);
		ucCat=new UcCat("AMD",(float)109,"uc_6","ATHLON_XP_1600+",true,(float)1.40);
		cat.addProduit(ucCat);
		ucCat=new UcCat("AMD",(float)119,"uc_7","ATHLON_XP_2800+_mobile",true,(float)1.45);
		cat.addProduit(ucCat);
		
		
		//EcranCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float taille, boolean estPlat)
		ecranCat=new EcranCat("compaq",(float)159,"ecran_1","MV500",true,15,false);
		cat.addProduit(ecranCat);
		ecranCat=new EcranCat("compaq",(float)99,"ecran_2","MV400",true,14,false);
		cat.addProduit(ecranCat);
		ecranCat=new EcranCat("compaq",(float)215,"ecran_3","XM900",true,19,true);
		cat.addProduit(ecranCat);
		ecranCat=new EcranCat("compaq",(float)33,"ecran_4","13p",true,13,false);
		cat.addProduit(ecranCat);
		ecranCat=new EcranCat("Toshiba",(float)110,"ecran_5","toshiba",true,15,false);
		cat.addProduit(ecranCat);
		
		//SourisCat(String marque, float prix, String reference, String type, boolean venduAuDetail, boolean estSansFil, boolean avecMolette)
		sourisCat=new SourisCat("Microsoft", (float)6, "souris_1", "generique", true, false, true);
		cat.addProduit(sourisCat);
		sourisCat=new SourisCat("Microsoft", (float)45, "souris_2", "generique_sans_fil", true, true, true);
		cat.addProduit(sourisCat);
		sourisCat=new SourisCat("Microsoft", (float)5, "souris_3", "generique", true, false, false);
		cat.addProduit(sourisCat);
		sourisCat=new SourisCat("logitech", (float)16, "souris_4", "generique", true, true, true);
		cat.addProduit(sourisCat);
		
		//GraveurCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float vitesse, boolean estExterne, float vitesseEcriture, boolean estDVD, boolean estDVD9) {
		graveurCat=new GraveurCat("Pioneer", (float)69.99, "graveur_1", "GraveurDVD+9", true, (float)40, false, (float)40, true, true);
		cat.addProduit(graveurCat);
		graveurCat=new GraveurCat("Traxdata", (float)39.99, "graveur_2", "GraveurCD", true, (float)40, false, (float)32, false, false);
		cat.addProduit(graveurCat);
		graveurCat=new GraveurCat("LiteOn", (float)39.99, "graveur_3", "GraveurCD_DVD", true, (float)40, false, (float)24, true, false);
		cat.addProduit(graveurCat);
		graveurCat=new GraveurCat("LiteOn", (float)99.99, "graveur_4", "GraveurCD_DVD_externe", true, (float)52, false, (float)52, true, true);
		cat.addProduit(graveurCat);
		
		
		//LecteurCat(String marque, float prix, String reference, String type, boolean venduAuDetail, float vitesse, boolean estExterne, boolean estDVD)	
		lecteurCat=new LecteurCat("LiteOn", (float)23.99, "lecteur1", "lecteurCD_DVD_externe", true, (float)52, true, true);
		cat.addProduit(lecteurCat);
		lecteurCat=new LecteurCat("LiteOn", (float)23.99, "lecteur2", "lecteurCD_externe", true, (float)52, true, false);
		cat.addProduit(lecteurCat);

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

		
		
		
		oCat=new OrdinateurCat("Compaq", 0, "petite", "Presario",false);
		graveurCat=new GraveurCat("Pioneer", (float)35.99, "petite_graveur", "GraveurSimple", false, (float)40, false, (float)40, false, false);
		oCat.addComposant(graveurCat);
		sourisCat=new SourisCat("Microsoft", (float)9, "petite_souris", "generique_sans_fil", false, false, true);
		oCat.addComposant(sourisCat);
		clavierCat=new ClavierCat("compaq",(float)4.25,"petite_clavier","PC101",false,101,false);
		oCat.addComposant(clavierCat);
		ecranCat=new EcranCat("Toshiba",(float)59.95,"petite_ecran","toshiba",false,15,false);
		oCat.addComposant(ecranCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)64, "petite_hdd", "Maxtor80", false, 7200,false, 80);
		oCat.addComposant(disqueDurCat);
		carteReseauCat=new CarteReseauCat("Netgear",(float)8.99,"petite_FastEthernet","interne",false,false);
		oCat.addComposant(carteReseauCat);
		carteSonCat=new CarteSonCat("SoundBlaster",(float)9.99,"ConfigVoyager_Port_SB","Vibra16c_ISACard",false,false);
		oCat.addComposant(carteSonCat);
		ucCat=new UcCat("Intel",(float)219,"petite_uc","Celeron1.3",false,(float)1.3);
		oCat.addComposant(ucCat);
		carteVideoCat=new CarteVideoCat("Via",(float)12.99,"petite_ViaVideo","internalCard",false,64);
		oCat.addComposant(carteVideoCat);
		oCat.setPrix(oCat.calculPrixOrdinateur());
		cat.addProduit(oCat);
		
		
		oCat=new OrdinateurCat("Compaq", 0, "ConfigVoyager_Port", "Presario",true);
		graveurCat=new GraveurCat("Pioneer", (float)53.99, "ConfigVoyager_Port_graveur", "GraveurDVD+9", false, (float)40, false, (float)40, true, false);
		oCat.addComposant(graveurCat);
		sourisCat=new SourisCat("Microsoft", (float)14.0, "ConfigVoyager_Port_souris", "generique_sans_fil", false, true, true);
		oCat.addComposant(sourisCat);
		clavierCat=new ClavierCat("compaq",(float)4.25,"ConfigVoyager_Port_clavier","PC101",false,101,false);
		oCat.addComposant(clavierCat);
		ecranCat=new EcranCat("Toshiba",(float)119.0,"ConfigVoyager_Port_ecran","toshiba",false,17,true);
		oCat.addComposant(ecranCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)64.0, "ConfigVoyager_Port_hdd", "Maxtor80", false, 7200,false, (float)80);
		oCat.addComposant(disqueDurCat);
		carteReseauCat=new CarteReseauCat("Netgear",(float)8.99,"ConfigVoyager_Port_FastEthernet","usbFast",false,true);
		oCat.addComposant(carteReseauCat);
		carteSonCat=new CarteSonCat("SoundBlaster",(float)9.99,"ConfigVoyager_Port_SB","Vibra16c_ISACard",false,false);
		oCat.addComposant(carteSonCat);
		ucCat=new UcCat("AMD",(float)219.0,"ConfigVoyager_Port_uc_4","ATHLON_64_3200",false,(float)1.99);
		oCat.addComposant(ucCat);
		carteVideoCat=new CarteVideoCat("Via",(float)15.99,"ConfigVoyager_Port_ViaVideo","internalCard",false,256);
		oCat.addComposant(carteVideoCat);
		oCat.setPrix(oCat.calculPrixOrdinateur());
		cat.addProduit(oCat);
		
		
		
		
		
		oCat=new OrdinateurCat("Compaq", 0, "port_petite2", "Presario",true);
		
		ucCat=new UcCat("Intel",(float)215,"petite2_uc","Celeron1.5",false,(float)1.5);
		oCat.addComposant(ucCat);
		clavierCat=new ClavierCat("compaq",(float)3.25,"petite2_clavier","PC101",false,101,false);
		oCat.addComposant(clavierCat);
		ecranCat=new EcranCat("Toshiba",(float)69.95,"petite2_ecran","toshiba",false,17,true);
		oCat.addComposant(ecranCat);
		carteVideoCat=new CarteVideoCat("Via",(float)11.99,"petite2_ViaVideo","internalCard",false,64);
		oCat.addComposant(carteVideoCat);
		disqueDurCat=new DisqueDurCat("Maxtor", (float)64, "petite2_hdd", "Maxtor80", false, 7200,false, (float)80);
		oCat.addComposant(disqueDurCat);
		lecteurCat=new LecteurCat("TraxData", (float)12.99, "lecteur1", "lecteurCD", false, (float)52, true, false);
		cat.addProduit(lecteurCat);
		sourisCat=new SourisCat("Microsoft", (float)7, "petite2_souris", "generique_sans_fil", false, true, true);
		oCat.addComposant(sourisCat);
		
		
		
		
		oCat.setPrix(oCat.calculPrixOrdinateur());
		
		
		cat.addProduit(oCat);
		f.addCatalogue(cat);
		p.addFournisseur(f);
		
		
		
		
		
		
		
		
		
		
		
		
		try {
			save(p);
		} catch (IOException e) {
			System.out.println("Impossible de sauvegarder le Parc");
			e.printStackTrace();
		}
		
	}
	
	
	public static void save(Parc p) throws IOException{
		ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream("sauvegarde.ser")); 
		out.writeObject(p);
		out.close();
		System.out.println("Le parc a bien ete sauvegarde. Vous pouvez quitter l'application");
	}
	
	
}