package graphique;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.util.*;
import parcInfo.*;

@SuppressWarnings("serial")





public class PanelChangeEtatEquipement extends JPanel
{
	JTextArea taConfig=new JTextArea();
	Parc parcTest;
	JButton btChangerEtat=new JButton("Changer l'etat de l'equipement");
	JLabel labTexte=new JLabel("Entrer le nom d'une Imprimante : ",JLabel.RIGHT);
	JTextField tfNomImprimante=new JTextField(30);
	JButton btValider=new JButton("Valider");
	JComboBox cbNomImprimante=new JComboBox();
	
	
	public class MyPanelDemanderImprimante extends JPanel{
		
		Parc parcTest;
		
		
		public MyPanelDemanderImprimante(Parc parcTest)
		{
			this.parcTest=parcTest;
			setLayout(new GridLayout(1,3,10,10));
			add(labTexte);
			chargeCombo();
			add(cbNomImprimante);
			
			btValider.addActionListener(new ActionListenerListerOk());
			add(btValider);
			
			
		}
		
		public void chargeCombo()
		{
			
			
			
			TreeMap<String,Equipement> listeEquipement;
			try{
				
				listeEquipement=parcTest.getListeEquipement();
				
				
				if(listeEquipement==null)
					JOptionPane.showMessageDialog(null, "Liste Vide", "Erreur", JOptionPane.ERROR_MESSAGE);
				
				cbNomImprimante.addItem(new String("Imprimante"));
				Equipement e;
				for (String code:listeEquipement.keySet())
				{
					e=listeEquipement.get(code) ;
					
					if (e!=null){
						if (e instanceof Imprimante)
						{
							cbNomImprimante.addItem(new String(((Imprimante)e).getNom()));
						}
					}
				}
			}
			catch(NullPointerException e)
			{
				JOptionPane.showMessageDialog(null, "Erreur", "Erreur", JOptionPane.ERROR_MESSAGE);
			}
		}
		
		public class ActionListenerListerOk implements ActionListener
		{
			public void actionPerformed(ActionEvent e)
			{
				Equipement e1;
				e1=parcTest.getEquipement((String)cbNomImprimante.getSelectedItem());
				if(e1 instanceof Imprimante)
				{
					String nomImprimante=(String)cbNomImprimante.getSelectedItem();
					
					if (((Imprimante)e1).isEtat()){
						taConfig.setText("Detail de la configuration de : "+nomImprimante+"\n"+e1+"\nEtat Defectueux\n");
					}
					else
						taConfig.setText("Detail de la configuration de : "+nomImprimante+"\n"+e1+"\nEtat non Defectueux\n");		    
				}
				else
					JOptionPane.showMessageDialog(null, "Ceci n'est pas une Imprimante", "Erreur", JOptionPane.ERROR_MESSAGE);;
			}
		}
	}
	
	public PanelChangeEtatEquipement(Parc parcTest){
		this.parcTest=parcTest;
		
		
		
		JScrollPane scrollPane=new JScrollPane(taConfig);
		
		setLayout(new BorderLayout());
		add(new MyPanelDemanderImprimante(parcTest),BorderLayout.NORTH);
		
		
		
		add(scrollPane,BorderLayout.CENTER);
		btChangerEtat.addActionListener(new ActionListenerChangerEtat());
		add(btChangerEtat,BorderLayout.SOUTH);
		
		
	}
	
	public class ActionListenerChangerEtat implements ActionListener
	{
		public void actionPerformed(ActionEvent e)
		{
			String nomImprimante=(String)cbNomImprimante.getSelectedItem();
			Equipement e1=parcTest.getEquipement(nomImprimante);
			if(e1 instanceof Imprimante)
			{
				if(((Imprimante)e1).isEtat())
				{
					((Imprimante)e1).setEtat(false);
					taConfig.setText("Detail de la configuration de : "+nomImprimante+"\n"+e1+"\nEtat Non Defectueux\n");
				}
				else{
					((Imprimante)e1).setEtat(true);
					taConfig.setText("Detail de la configuration de : "+nomImprimante+"\n"+e1+"\nEtat Defectueux\n");
				}
			}
			
		}
	}
	
}


