package graphique;

import java.util.TreeMap;

import parcInfo.*;
import javax.swing.*;

/**
 *
 * @author  ocremetz
 */
@SuppressWarnings("serial")

public class PanelListerEquipementsDefectueux extends JPanel {
	private Parc parcTest;
	private JScrollPane ScrollPane;
	private JTable TableEquipement;
	
	
	
	public PanelListerEquipementsDefectueux(Parc parcTest) {
		this.parcTest=parcTest;
		initComponents();
	}
	
	
	private void initComponents() {
		
		
		
		setLayout(new java.awt.BorderLayout());
		
		
		
		TreeMap<String,Equipement> listeEquipement;
		try{
			
			listeEquipement=parcTest.getListeEquipement();
			
			if(listeEquipement==null)
				JOptionPane.showMessageDialog(null, "Liste Vide", "Erreur", JOptionPane.ERROR_MESSAGE);
			
			int tailleJTable=parcTest.compterEquipementDefectueux();
			//System.out.println(tailleJTable);
			if(tailleJTable!=0){
				Object [][] jTableRemplie=new Object [tailleJTable][4]; 
				int i=0;
				
				Equipement e;
				for (String code:listeEquipement.keySet())
				{
					e=listeEquipement.get(code) ;
					
					if (e!=null){
						if (e instanceof Ordinateur)
						{
							if (((Ordinateur)e).CalculerEtatOrdinateur()){
								jTableRemplie[i][0]=(String)("Ordinateur");
								jTableRemplie[i][1]=e.getNom();
								jTableRemplie[i][2]=e.getMarque();
								jTableRemplie[i][3]=e.getType();
								i++;
							}
							
							
							
						}
						if(e instanceof Imprimante)
						{
							if (((Imprimante)e).isEtat()){
								jTableRemplie[i][0]=(String)("Imprimante");
								
								jTableRemplie[i][1]=e.getNom();
								jTableRemplie[i][2]=e.getMarque();
								jTableRemplie[i][3]=e.getType();
								i++;
							}
						}
						
						
						
					}
					String []Titre={"Equipement", "Nom", "Marque", "Type"};
					TableEquipement = new JTable(jTableRemplie,Titre);
					
					
					ScrollPane = new JScrollPane(TableEquipement);
					this.add(ScrollPane);
					
					
					
				}
			}
			else
				JOptionPane.showMessageDialog(null,"Aucun equipement defectueux","Attention",JOptionPane.WARNING_MESSAGE);
			
		}
		catch(NullPointerException e)
		{
			JOptionPane.showMessageDialog(null, "Erreur", "Erreur", JOptionPane.ERROR_MESSAGE);
		}
		
	}
	
}
