/** CarteSon.java */
package parcInfo;
@SuppressWarnings("serial")
public class CarteSon extends Composants
{
	private boolean estExterne;
	
	/**
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 * @param estExterne
	 */
	public CarteSon(String nomComposant, String marqueComposant, String type, boolean estExterne) {
		super(nomComposant, marqueComposant, type);
		this.estExterne = estExterne;
	}
	
	/**
	 * @return vrai si la carte son est Externe
	 */
	public boolean isEstExterne() {
		return estExterne;
	}
	
	/**
	 * @param estExterne  initialise la variable estExterne
	 */
	public void setEstExterne(boolean estExterne) {
		this.estExterne = estExterne;
	}
	
	/**
	 * Methode permettant d'afficher les caracteristiques
	 * du composant
	 * @return String
	 * @see parcInfo.Composants#toString()
	 */
	public String toString()
	{
		String chaine="Carte son ";
		if(estExterne)
			chaine+=" externe ";
		else
			chaine+=" interne";
		return chaine +"\n"+ super.toString();
	}
}
