/** Clavier.java */
package parcInfo;
@SuppressWarnings("serial")
public class Clavier extends Composants
{
	private int nombreDeTouches;
	private boolean estSansFil;
	
	/**
	 * @param etat
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 * @param nombreDeTouches
	 * @param estSansFil
	 */
	public Clavier(String nomComposant, String marqueComposant, String type, int nombreDeTouches, boolean estSansFil) {
		super(nomComposant, marqueComposant, type);
		this.nombreDeTouches = nombreDeTouches;
		this.estSansFil = estSansFil;
	}
	
	/**
	 * @return vrai si le clavier est Sans Fil
	 */
	public boolean isEstSansFil() {
		return estSansFil;
	}
	
	/**
	 * @param estSansFil  initialise la variable estSansFil
	 */
	public void setEstSansFil(boolean estSansFil) {
		this.estSansFil = estSansFil;
	}
	
	/**
	 * @return le nombre De Touches du clavier
	 */
	public int getNombreDeTouches() {
		return nombreDeTouches;
	}
	
	/**
	 * @param nombreDeTouches  initialise la variable nombreDeTouches
	 */
	public void setNombreDeTouches(int nombreDeTouches) {
		this.nombreDeTouches = nombreDeTouches;
	}
	
	/**
	 * Methode permettant d'afficher les caracteristiques
	 * du composant
	 * @return String
	 * @see parcInfo.Composants#toString()
	 */
	public String toString()
	{
		String chaine="Clavier ";
		if(estSansFil)
			chaine+=" sans fil";
		return chaine+"\n"+super.toString()+" Nombre de touches :" + nombreDeTouches +" touches";
	}
	
}
