/** Classe Abstraite Equipement.java */
package parcInfo;
import java.io.*;

abstract public class Equipement  implements Serializable
{
    private String nom;
    private String marque;
    private String type;

    /**
	 * @param nom
	 * @param marque
	 * @param type
	 */
	public Equipement(String nom, String marque, String type) {
		this.nom = nom;
		this.marque = marque;
		this.type = type;
	}

	/**
	 * @return la marque
	 */
	public String getMarque() {
		return marque;
	}

	/**
	 * @param marque  initialise la variable marque
	 */
	public void setMarque(String marque) {
		this.marque = marque;
	}

	/**
	 * @return le nom
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * @param nom  initialise la variable nom
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * @return le type
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type  initialise la variable type
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * 	Affiche tous les champs d'un equipement
	 * 	@return String : Chaine de caractere de description de l'equipement
	 */
	public String toString()
    {		
		return "\nNom : "+nom+"\nMarque : "+marque+"\nType: " + type;
    }
}
