package graphique;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.util.*;
import parcInfo.*;

@SuppressWarnings("serial")





public class PanelMeilleurCoutOrdi extends JPanel
{
	JTextArea taMeilleurCout=new JTextArea();
	Parc parcTest;
	
	
	public class MyPanelDemanderOrdi extends JPanel{
		
		Parc parcTest;
		JLabel labTexte=new JLabel("Entrer le nom d'un ordinateur : ",JLabel.RIGHT);
		JTextField tfNomOrdinateur=new JTextField(30);
		JComboBox cbNomOrdi=new JComboBox();
		JButton btValider=new JButton("Valider");
		
		
		public MyPanelDemanderOrdi(Parc parcTest)
		{
			this.parcTest=parcTest;
			setLayout(new GridLayout(1,3,10,10));
			add(labTexte);
			chargeCombo();
			add(cbNomOrdi);
			
			btValider.addActionListener(new ActionListenerListerOk());
			add(btValider);
			
			
		}
		
		public void chargeCombo()
		{
			
			
			
			TreeMap<String,Equipement> listeEquipement;
			try{
				
				listeEquipement=parcTest.getListeEquipement();
				
				
				if(listeEquipement==null)
					JOptionPane.showMessageDialog(null, "Liste Vide", "Erreur", JOptionPane.ERROR_MESSAGE);
				
				cbNomOrdi.addItem(new String("Ordinateur"));
				Equipement e;
				for (String code:listeEquipement.keySet())
				{
					e=listeEquipement.get(code) ;
					
					if (e!=null){
						if (e instanceof Ordinateur)
						{
							cbNomOrdi.addItem(new String(((Ordinateur)e).getNom()));
						}
					}
				}
			}
			catch(NullPointerException e)
			{
				JOptionPane.showMessageDialog(null, "Erreur", "Erreur", JOptionPane.ERROR_MESSAGE);
			}
		}
		
		public class ActionListenerListerOk implements ActionListener
		{
			public void actionPerformed(ActionEvent e)
			{
				Equipement e1;
				Ordinateur o;
				Composants c;
				boolean composantNonTrouve=false;
				TreeMap<String,Composants> listeDefectueux=null;
				float prixOrdiComplet,prixPiece,prixTotalPieces=0;
				e1=parcTest.getEquipement((String)cbNomOrdi.getSelectedItem());
				if(e1 instanceof Ordinateur)
				{
					String nomOrdi=(String)cbNomOrdi.getSelectedItem();
					o=(Ordinateur)e1;
					String texte="Devis de Maintenance pour l'ordinateur  : "+nomOrdi+"\n"+((Ordinateur)e1).toString();
					
					texte+="\n\nDevis Remplacement Pieces defectueuses uniquement :";
					if(o!=null){
						listeDefectueux=o.getListeDefectueux();
						if(listeDefectueux!=null){
							for(String code:listeDefectueux.keySet())
							{
								c=listeDefectueux.get(code);
								prixPiece=parcTest.getMeilleurPrixFournisseurs(c);
								if (prixPiece!=-1){
									prixTotalPieces+=prixPiece;
									texte+="\n"+"Piece : "+code+"\ttrouve au prix de "+prixPiece +" Euros";
								}
								else{
									texte+="\nPiece : "+code+"\tnon trouvee";
									composantNonTrouve=true;
								}
							}
							
							texte+="\n----------------------------------------------------------------------";
							texte+="\nCout total au detail : "+prixTotalPieces +" Euros";
							
							
						}
						else
							System.out.println("Erreur");
					}
					
					if (prixTotalPieces==0)
					{
						texte+="\n Aucune Pieces a changer";
					}
					
					texte+="\n\n\n";
					prixOrdiComplet=parcTest.getMeilleurPrixFournisseurs(o);
					if(prixOrdiComplet !=-1)
						texte+="\nPrix d'un ordinateur complet : "+prixOrdiComplet;
					else
						texte+="\n Impossible de trouver un ordinateur correpondant aux caracteristiques de l'ordinateur";
					
					
					if(!composantNonTrouve && prixTotalPieces>0 && prixOrdiComplet>0 && prixOrdiComplet<prixTotalPieces)
					{
						texte+="\n\n On choisit d'acheter l'ordinateur Complet";
					}
					else
					{
						if(!composantNonTrouve && prixTotalPieces>0)
							texte+="\n\n On choisira de remplacer l'ordinateur au detail";
						else
						{
							texte+="\n \nImpossible de resoudre le calcul du meilleur prix";
						}
					}
					taMeilleurCout.setText(texte);
				}
				else
					JOptionPane.showMessageDialog(null, "Ceci n'est pas un ordinateur", "Erreur", JOptionPane.ERROR_MESSAGE);
			}
		}
	}
	
	public PanelMeilleurCoutOrdi(Parc parcTest){
		this.parcTest=parcTest;
		JScrollPane scrollPane=new JScrollPane(taMeilleurCout);
		
		setLayout(new BorderLayout());
		add(new MyPanelDemanderOrdi(parcTest),BorderLayout.NORTH);
		
		add(scrollPane,BorderLayout.CENTER);
		
		
	}
	
}


