/** UC.java */
package parcInfo;
@SuppressWarnings("serial")
public class UC extends Composants
{
	private float frequenceProcesseur;
	
	/**
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 * @param frequenceProcesseur
	 */
	public UC(String nomComposant, String marqueComposant, String type, float frequenceProcesseur) {
		super(nomComposant, marqueComposant, type);
		this.frequenceProcesseur = frequenceProcesseur;
	}
	
	/**
	 * @return la frequence du Processeur
	 */
	public float getFrequenceProcesseur() {
		return frequenceProcesseur;
	}
	
	/**
	 * @param frequenceProcesseur  initialise la variable frequenceProcesseur
	 */
	public void setFrequenceProcesseur(float frequenceProcesseur) {
		this.frequenceProcesseur = frequenceProcesseur;
	}
	
	/**
	 * Methode permettant d'afficher les caracteristiques
	 * du composant
	 * @return String
	 * @see parcInfo.Composants#toString()
	 */
	public String toString()
	{
		return "Unite centrale :\n" +super.toString()+ "Frequence : "+this.frequenceProcesseur +" GHz";
	}
}
