/** CarteVideo.java */
package parcInfo;
@SuppressWarnings("serial")
public class CarteVideo extends Composants
{
	private int tailleMemoire;
	
	/**
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 * @param tailleMemoire
	 */
	public CarteVideo(String nomComposant, String marqueComposant, String type, int tailleMemoire) {
		super(nomComposant, marqueComposant, type);
		this.tailleMemoire = tailleMemoire;
	}
	
	/**
	 * @return la taille Memoire de la carte video
	 */
	public int getTailleMemoire() {
		return tailleMemoire;
	}
	
	/**
	 * @param tailleMemoire  initialise la variable tailleMemoire
	 */
	public void setTailleMemoire(int tailleMemoire) {
		this.tailleMemoire = tailleMemoire;
	}
	
	/**
	 * Methode permettant d'afficher les caracteristiques
	 * du composant
	 * @return String
	 * @see parcInfo.Composants#toString()
	 */
	public String toString()
	{
		return "Carte video \n" + super.toString()+" Taille memoire : "+tailleMemoire+ " Mo";
	}
}
