/** DisqueDur.java */
package parcInfo;

@SuppressWarnings("serial")
public class DisqueDur extends PeripheriquesDivers
{
    private float capacite;
    
    /**
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 * @param vitesse
	 * @param estExterne
	 * @param capacite
	 */
	public DisqueDur(String nomComposant, String marqueComposant, String type, float vitesse, boolean estExterne, float capacite) {
		super(nomComposant, marqueComposant, type, vitesse, estExterne);
		this.capacite = capacite;
	}

	/**
	 * @return la capacite
	 */
	public float getCapacite() {
		return capacite;
	}

	/**
	 * @param capacite  initialise la variable capacit
	 */
	public void setCapacite(float capacite) {
		this.capacite = capacite;
	}

	/**
	 * Methode permettant d'afficher les caracteristiques
	 * du composant
	 * @return String
	 * @see parcInfo.PeripheriquesDivers#toString()
	 */
	public String toString()
    {
	return "Disque dur \n"+super.toString()+" Capacite : "+ capacite + " Go ";
    }
}
