/** Ecran.java */
package parcInfo;

@SuppressWarnings("serial")
public class Ecran extends Composants
{   
	private float taille;
	private boolean estPlat;
	
	/**
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 * @param taille
	 * @param estPlat
	 */
	public Ecran(String nomComposant, String marqueComposant, String type, float taille, boolean estPlat) {
		super(nomComposant, marqueComposant, type);
		this.taille = taille;
		this.estPlat = estPlat;
	}
	
	/**
	 * @return vrai si l'ecran est Plat
	 */
	public boolean isEstPlat() {
		return estPlat;
	}
	
	/**
	 * @param estPlat  initialise la variable estPlat
	 */
	public void setEstPlat(boolean estPlat) {
		this.estPlat = estPlat;
	}
	
	/**
	 * @return la taille
	 */
	public float getTaille() {
		return taille;
	}
	
	/**
	 * @param taille  initialise la variable taille
	 */
	public void setTaille(float taille) {
		this.taille = taille;
	}
	
	/**
	 * Methode permettant d'afficher les caracteristiques
	 * du composant
	 * @return String
	 * @see parcInfo.Composants#toString()
	 */
	public String toString()
	{
		String chaine="Ecran ";
		if(estPlat)
			chaine+=" plat ";
		return chaine +"\n"+super.toString()+ " taille : "+ this.taille+" pouces";
	}
}
