/** Graveur.java */
package parcInfo;

@SuppressWarnings("serial")
public class Graveur extends PeripheriquesDivers
{
	private float vitesseEcriture;
	private boolean estDVD;
	private boolean estDVD9;
	
	/**
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 * @param vitesse
	 * @param estExterne
	 * @param vitesseEcriture
	 * @param estDVD
	 * @param estDVD9
	 */
	public Graveur(String nomComposant, String marqueComposant, String type, float vitesse, boolean estExterne, float vitesseEcriture, boolean estDVD, boolean estDVD9) {
		super(nomComposant, marqueComposant, type, vitesse, estExterne);
		this.vitesseEcriture = vitesseEcriture;
		this.estDVD = estDVD;
		this.estDVD9 = estDVD9;
	}
	
	/**
	 * @return vrai si le graveur grave les DVD
	 */
	public boolean isEstDVD() {
		return estDVD;
	}
	
	/**
	 * @param estDVD  initialise la variable estDVD
	 */
	public void setEstDVD(boolean estDVD) {
		this.estDVD = estDVD;
	}
	
	/**
	 * @return  vrai si le graveur grave les DVD double couche
	 */
	public boolean isEstDVD9() {
		return estDVD9;
	}
	
	/**
	 * @param estDVD9  initialise la variable estDVD9
	 */
	public void setEstDVD9(boolean estDVD9) {
		this.estDVD9 = estDVD9;
	}
	
	/**
	 * @return la vitesse d'Ecriture du graveur
	 */
	public float getVitesseEcriture() {
		return vitesseEcriture;
	}
	
	/**
	 * @param vitesseEcriture  initialise la variable vitesseEcriture
	 */
	public void setVitesseEcriture(float vitesseEcriture) {
		this.vitesseEcriture = vitesseEcriture;
	}
	
	/**
	 * Methode permettant d'afficher les caracteristiques
	 * du composant
	 * @return String
	 * @see parcInfo.PeripheriquesDivers#toString()
	 */
	public String toString()
	{
		String chaine="Graveur ";
		
		if(estDVD)
			chaine=chaine + " DVD ";
		else {
			if(estDVD9)
				chaine=chaine + " DVD9 ";
		}
		return chaine +"\n"+super.toString()+" Vitesse d'ecriture : "+vitesseEcriture+"X";	
	}
}
