package graphique;
import java.awt.*;
import java.awt.event.*;
import java.util.TreeMap;
import javax.swing.*;

import parcInfo.Composants;
import parcInfo.Equipement;
import parcInfo.Ordinateur;
import parcInfo.Parc;

@SuppressWarnings("serial")





public class PanelChangeEtatComposant extends JPanel
{
	
	Parc parcTest;
	
	
	
	JButton btChangerEtat=new JButton("Changer l'etat du composant");
	JLabel labEtat=new JLabel("",JLabel.CENTER);
	
	JLabel labTexte=new JLabel("Choisir le nom d'un Ordinateur : ",JLabel.RIGHT);
	JLabel labTexte2=new JLabel("Choisir le nom d'un composant : ",JLabel.RIGHT);
	JTextField tfNomOrdinateur=new JTextField(30);
	
	JComboBox cbNomOrdinateur=new JComboBox();
	
	JComboBox cbNomComposant=new JComboBox();
	
	
	
	
	public class MyPanelDemanderOrdinateur extends JPanel{
		
		Parc parcTest;
		Parc p;
		
		public MyPanelDemanderOrdinateur(Parc parcTest)
		{
			this.parcTest=parcTest;
			p=parcTest;
			setLayout(new GridLayout(1,4,5,5));
			add(labTexte);
			chargeCombo();
			
			cbNomOrdinateur.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent evt) {
					
					chargeComboComposant();
					
				}
			});
			add(cbNomOrdinateur);   			
			
			
			add(labTexte2);
			
			cbNomComposant.addItemListener(new ItemListenerComposant());
			
			
			
			add(cbNomComposant);
			
			
			
			
			
			
			
			
			
		}
		
		public void chargeCombo()
		{
			TreeMap<String,Equipement> listeEquipement;
			try{
				
				listeEquipement=parcTest.getListeEquipement();
				
				if(listeEquipement==null)
					JOptionPane.showMessageDialog(null, "Liste Vide", "Erreur", JOptionPane.ERROR_MESSAGE);
				
				cbNomOrdinateur.addItem(new String("Ordinateur"));
				Equipement e;
				for (String code:listeEquipement.keySet())
				{
					e=listeEquipement.get(code) ;
					if (e!=null){
						if (e instanceof Ordinateur)
						{
							cbNomOrdinateur.addItem(new String(((Ordinateur)e).getNom()));
						}
					}
				}
			}
			catch(NullPointerException e)
			{
				JOptionPane.showMessageDialog(null, "Erreur", "Erreur", JOptionPane.ERROR_MESSAGE);
			}
		}
		
		
		
		
		
		public void chargeComboComposant(){
			
			Equipement e1;
			Ordinateur o;
			Composants c;
			TreeMap<String,Composants>listeComposant;
			e1=p.getEquipement((String)cbNomOrdinateur.getSelectedItem());
			
			
			
			
			this.remove(cbNomComposant);
			updateUI();
			cbNomComposant=new JComboBox();
			
			if(e1 instanceof Ordinateur)
			{
				o=(Ordinateur)e1;
				
				listeComposant=o.getListeComposant();
				
				for(String code:listeComposant.keySet())
				{	
					c=listeComposant.get(code);
					cbNomComposant.addItem(((Composants)c).getNomComposant());	
				}			    
				
				cbNomComposant.addItemListener(new ItemListenerComposant());
				this.add(cbNomComposant);
				//cbNomComposant.setSelectedItem(o.getListeComposant().getFirst().getNomComposant()); 
			}
			else
				JOptionPane.showMessageDialog(null,"Erreur Ceci n'est pas un Ordinateur","Erreur",JOptionPane.ERROR_MESSAGE);
		}
		
		
		
		
		public class ItemListenerComposant implements ItemListener
		{
			
			public void itemStateChanged(ItemEvent evt) {
				Ordinateur o=(Ordinateur)(p.getEquipement((String)cbNomOrdinateur.getSelectedItem()));
				Composants c=((Composants)(o.getComposant((String)cbNomComposant.getSelectedItem())));
				if (c!=null){
					if (c.isEtat()){
						labEtat.setText("Composant defectueux");
					}
					else{
						labEtat.setText("Composant Non defectueux");
					}
				}
			}
		}
		
		
		
		
		
	}	
	
	
	
	
	public class ActionListenerChangerEtat implements ActionListener
	{
		public void actionPerformed(ActionEvent e)
		{
			
			Equipement e1=parcTest.getEquipement((String)cbNomOrdinateur.getSelectedItem());
			
			if(e1 instanceof Ordinateur)
			{
				Composants  c=((Ordinateur)e1).getComposant((String)cbNomComposant.getSelectedItem());
				if(c.isEtat())
				{					
					c.setEtat(false);
					labEtat.setText("Composant non defectueux");
				}
				else{
					c.setEtat(true);
					labEtat.setText("Composant defectueux");	
				}
			}
		}
	}
	
	
	
	
	
	
	public PanelChangeEtatComposant(Parc parcTest){
		this.parcTest=parcTest;
		
		
		setLayout(new GridLayout(10,1,10,10));
		add(new MyPanelDemanderOrdinateur(parcTest));
		
		add(labEtat);
		
		btChangerEtat.addActionListener(new ActionListenerChangerEtat());
		add(btChangerEtat);
		
	}
	
	
}


