package graphique;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.util.*;
import parcInfo.*;

@SuppressWarnings("serial")





public class PanelConfigOrdi extends JPanel
{
	JTextArea taConfig=new JTextArea();
	Parc parcTest;
	
	
	public class MyPanelDemanderOrdi extends JPanel{
		
		Parc parcTest;
		JLabel labTexte=new JLabel("Entrer le nom d'un ordinateur : ",JLabel.RIGHT);
		JTextField tfNomOrdinateur=new JTextField(30);
		JComboBox cbNomOrdi=new JComboBox();
		JButton btValider=new JButton("Valider");
		
		
		public MyPanelDemanderOrdi(Parc parcTest)
		{
			this.parcTest=parcTest;
			setLayout(new GridLayout(1,3,10,10));
			add(labTexte);
			chargeCombo();
			add(cbNomOrdi);
			
			btValider.addActionListener(new ActionListenerListerOk());
			add(btValider);
			
			
		}
		
		public void chargeCombo()
		{
			
			
			
			TreeMap<String,Equipement> listeEquipement;
			try{
				
				listeEquipement=parcTest.getListeEquipement();
				
				
				if(listeEquipement==null)
					JOptionPane.showMessageDialog(null, "Liste Vide", "Erreur", JOptionPane.ERROR_MESSAGE);
				
				cbNomOrdi.addItem(new String("Ordinateur"));
				Equipement e;
				for (String code:listeEquipement.keySet())
				{
					e=listeEquipement.get(code) ;
					
					if (e!=null){
						if (e instanceof Ordinateur)
						{
							cbNomOrdi.addItem(new String(((Ordinateur)e).getNom()));
						}
					}
				}
			}
			catch(NullPointerException e)
			{
				JOptionPane.showMessageDialog(null, "Erreur", "Erreur", JOptionPane.ERROR_MESSAGE);
			}
		}
		
		public class ActionListenerListerOk implements ActionListener
		{
			public void actionPerformed(ActionEvent e)
			{
				Equipement e1;
				e1=parcTest.getEquipement((String)cbNomOrdi.getSelectedItem());
				if(e1 instanceof Ordinateur)
				{
					String nomOrdi=(String)cbNomOrdi.getSelectedItem();
					taConfig.setText("Detail de la configuration de : "+nomOrdi+"\n"+((Ordinateur)e1).listerConfiguration());
					
				}
				else
					JOptionPane.showMessageDialog(null, "Ceci n'est pas un ordinateur", "Erreur", JOptionPane.ERROR_MESSAGE);
			}
		}
	}
	
	public PanelConfigOrdi(Parc parcTest){
		this.parcTest=parcTest;
		JScrollPane scrollPane=new JScrollPane(taConfig);
		
		setLayout(new BorderLayout());
		add(new MyPanelDemanderOrdi(parcTest),BorderLayout.NORTH);
		
		add(scrollPane,BorderLayout.CENTER);
		
		
	}
	
}


