/** Classe Abstraite Composants.java */
package parcInfo;
import java.io.*;

abstract public class Composants implements Serializable
{
	private boolean etat;
	private String nomComposant;
	private String marqueComposant;
	private String type;
	
	/**
	 * @param etat
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 */
	public Composants(String nomComposant, String marqueComposant, String type) {
		this.etat = false;
		this.nomComposant = nomComposant;
		this.marqueComposant = marqueComposant;
		this.type = type;
	}
	
	/**
	 * @return l'etat du composant vrai si defectueux, faux sinon
	 */
	public boolean isEtat() {
		return etat;
	}
	
	/**
	 * @param etat  initialise la variable etat
	 */
	public void setEtat(boolean etat) {
		this.etat = etat;
	}
	
	/**
	 * @return la marque du Composant
	 */
	public String getMarqueComposant() {
		return marqueComposant;
	}
	
	/**
	 * @param marqueComposant  initialise la variable marqueComposant
	 */
	public void setMarqueComposant(String marqueComposant) {
		this.marqueComposant = marqueComposant;
	}
	
	/**
	 * @return le nom du Composant
	 */
	public String getNomComposant() {
		return nomComposant;
	}
	
	/**
	 * @param nomComposant  initialise la variable nomComposant
	 */
	public void setNomComposant(String nomComposant) {
		this.nomComposant = nomComposant;
	}
	
	/**
	 * @return le type
	 */
	public String getType() {
		return type;
	}
	
	/**
	 * @param type  initialise la variable type
	 */
	public void setType(String type) {
		this.type = type;
	}
	
	/**
	 * Retourne la chaine decrivant le composant
	 * @return chaine
	 */
	public String toString()
	{
		String chaine;
		
		if(etat)
			chaine="Composant defectueux";
		else 
			chaine="Composant non defectueux";
		
		return chaine = chaine +"\nNom : "+ this.nomComposant+", Marque : "+this.marqueComposant+ ", Type : " + this.type+",";
	}
	
}
