/** Lecteur.java */
package parcInfo;

@SuppressWarnings("serial")
public class Lecteur extends PeripheriquesDivers
{
	private boolean estDVD;
	
	/**
	 * @param nomComposant
	 * @param marqueComposant
	 * @param type
	 * @param vitesse
	 * @param estExterne
	 * @param estDVD
	 */
	public Lecteur(String nomComposant, String marqueComposant, String type, float vitesse, boolean estExterne, boolean estDVD) {
		super(nomComposant, marqueComposant, type, vitesse, estExterne);
		this.estDVD = estDVD;
	}
	
	/**
	 * @return vrai si le lecteur lit les DVD
	 */
	public boolean isEstDVD() {
		return estDVD;
	}
	
	/**
	 * @param estDVD  initialise la variable estDVD
	 */
	public void setEstDVD(boolean estDVD) {
		this.estDVD = estDVD;
	}
	
	/**
	 * Methode permettant d'afficher les caracteristiques
	 * du composant
	 * @return String
	 * @see parcInfo.PeripheriquesDivers#toString()
	 */
	public String toString()
	{
		String chaine="Lecteur ";
		
		if(estDVD)
			chaine="DVD ";
		
		return chaine +"\n"+super.toString();
	}
}
